# class DBus::FormalParameter

# A formal parameter has a name and a type¶ ↑

### Attributes

name[R]

@return [#to_s]

type[R]

@return [SingleCompleteType]

### Public Class Methods

new(name, type) click to toggle source

        # File lib/dbus/introspect.rb
    126 def initialize(name, type)
    127   @name = name
    128   @type = type
    129 end

### Public Instance Methods

[](index) click to toggle source

backward compatibility, deprecated

        # File lib/dbus/introspect.rb
    132 def [](index)
    133   case index
    134   when 0 then name
    135   when 1 then type
    136   end
    137 end